package main;
import org.newdawn.slick.AppGameContainer;
import org.newdawn.slick.GameContainer;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.state.StateBasedGame;

public class MainClass extends StateBasedGame
{
	private Jeu jeu; // le premier état du jeu (voir Jeu.java) 
	public MainClass() 
	{
		super("SUPERGUN AWW YEAH");
	}
	
	@Override
	public void initStatesList(GameContainer container) throws SlickException 
	{
		jeu = new Jeu();
		addState(jeu); 
	}
	public static void main(String[] args) 
	{ 
		try
		{ 
			AppGameContainer container = new AppGameContainer(new MainClass()); 
			container.setDisplayMode(800, 640, false);
			container.setTargetFrameRate(30); 
			container.setShowFPS(false);
			container.setAlwaysRender(true);
			container.start();
		} catch (SlickException e) {
			e.printStackTrace();
		} 
	} 
}